Data Structures | Functions

# entropy.c File Reference

`#include "wizard/studio.h"`
`#include "wizard/bzip.h"`
`#include "wizard/entropy.h"`
`#include "wizard/exception.h"`
`#include "wizard/exception-private.h"`
`#include "wizard/lzma.h"`
`#include "wizard/memory_.h"`
`#include "wizard/zip.h"`

## Data Structures
struct | _EntropyInfo
## Functions
WizardExport EntropyInfo * | AcquireEntropyInfo (const EntropyType entropy, const size_t level)
WizardExport EntropyInfo * | DestroyEntropyInfo (EntropyInfo *entropy_info)
WizardExport const StringInfo * | GetEntropyChaos (const EntropyInfo *entropy_info)
WizardExport WizardBooleanType | IncreaseEntropy (EntropyInfo *entropy_info, const StringInfo *message, ExceptionInfo *exception)
WizardExport WizardBooleanType | RestoreEntropy (EntropyInfo *entropy_info, const size_t length, const StringInfo *message, ExceptionInfo *exception)

## Function Documentation

WizardExport EntropyInfo* AcquireEntropyInfo | ( | const EntropyType | entropy,
|  | const size_t | level |
| ) |  |  |

References AcquireBZIPInfo(), AcquireLZMAInfo(), AcquireWizardMemory(), AcquireZIPInfo(), BZIPEntropy, _EntropyInfo::entropy, EntropyDomain, EnumerateError, _EntropyInfo::handle, LZMAEntropy, MemoryError, ResetWizardMemory(), _EntropyInfo::signature, ThrowWizardFatalError, _EntropyInfo::timestamp, and ZIPEntropy.

Referenced by GenerateEntropicChaos().

WizardExport EntropyInfo* DestroyEntropyInfo | ( | EntropyInfo * | entropy_info | ) |

References BZIPEntropy, DestroyBZIPInfo(), DestroyLZMAInfo(), DestroyZIPInfo(), _EntropyInfo::entropy, EntropyDomain, GetWizardModule, _EntropyInfo::handle, LogWizardEvent(), LZMAEntropy, RelinquishWizardMemory(), _EntropyInfo::signature, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.

Referenced by GenerateEntropicChaos().

WizardExport const StringInfo* GetEntropyChaos | ( | const EntropyInfo * | entropy_info | ) |

References BZIPEntropy, _EntropyInfo::entropy, EntropyDomain, EnumerateError, GetBZIPChaos(), GetLZMAChaos(), GetWizardModule, GetZIPChaos(), _EntropyInfo::handle, LogWizardEvent(), LZMAEntropy, _EntropyInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.

Referenced by GenerateEntropicChaos().

WizardExport WizardBooleanType IncreaseEntropy | ( | EntropyInfo * | entropy_info,
|  | const StringInfo * | message,
|  | ExceptionInfo * | exception |
| ) |  |  |

References BZIPEntropy, _EntropyInfo::entropy, EntropyDomain, EnumerateError, GetWizardModule, _EntropyInfo::handle, IncreaseBZIP(), IncreaseLZMA(), IncreaseZIP(), LogWizardEvent(), LZMAEntropy, _EntropyInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.

Referenced by GenerateEntropicChaos().

WizardExport WizardBooleanType RestoreEntropy | ( | EntropyInfo * | entropy_info,
|  | const size_t | length,
|  | const StringInfo * | message,
|  | ExceptionInfo * | exception |
| ) |  |  |

References BZIPEntropy, _EntropyInfo::entropy, EntropyDomain, EnumerateError, GetWizardModule, _EntropyInfo::handle, LogWizardEvent(), LZMAEntropy, RestoreBZIP(), RestoreLZMA(), RestoreZIP(), _EntropyInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardSignature, and ZIPEntropy.